package MT::Ideamans::Store;

use strict;
use warnings;

sub escape_js {
    $_ = shift;
    s/\n//g;
    s/'/\\'/g;
    $_;
}

sub template_output_footer {
    my ( $cb, $app, $rtmpl ) = @_;
    return 1 if $app->request->cache('ideamans_output_footer');

    my $installed = $app->registry('ideamans', 'installed') or return 1;
    my $products = join(',', map { "'$_'" } map { escape_js($_) } keys %$installed) or return 1;
    my $lang = $app->can('user') && $app->user ? $app->user->preferred_language : $app->config('DefaultLanguage');
    my $server = $app->uri;

    my $base = 'https://license.ideamans.com';
    my $jq = q|
<script type="text/javascript">
    jQuery(function($) {
        var server = '| . $server . q|';
        if ( !server.match(/^https?:\/\//) )
            server = location.protocol + '//' + location.host + server;
        var url = '| . $base . q|/mt/beacon.js?' + jQuery.param({
            'products[]': [| . $products . q|],
            server: server,
            lang: '| . escape_js($lang) . q|',
        });
        jQuery('<script><\/script>').attr({src: url, type: 'text/javascript'}).appendTo(jQuery('body'));
    });
</script>
|;
    $$rtmpl = $jq . $$rtmpl;

    $app->request->cache('ideamans_output_footer', 1);

    1;
}

1;