package MT::SheetAsset::Config;

use strict;
use warnings;

use MT::Util;
use MT::SheetAsset::Util;

sub options_merges {
    my $app = MT->instance;

    [
        {
            id => 'system',
            label => plugin->translate('System scope options.'),
            url => $app->uri( mode => 'cfg_pluign', args => { blog_id => 0 } ),
        },
        {
            id => 'blog',
            label => plugin->translate('Blog scope options.'),
        },
        {
            id => 'field',
            label => plugin->translate('Customfield options.'),
        }
    ];
}

sub system_config_template {
    return unless installed;
    my ( $app, $param ) = @_;

    my $merges = $param->{sheetasset_handsontable_merges} = options_merges;
    foreach (@$merges) { $_->{here} = 1, delete $_->{url} if $_->{id} eq 'system' }

    plugin->load_tmpl('system_config_template.tmpl', $param);
}

sub blog_config_template {
    return unless installed;
    my ( $app, $param ) = @_;

    my $merges = $param->{sheetasset_handsontable_merges} = options_merges;
    foreach (@$merges) { $_->{here} = 1 if $_->{id} eq 'blog' }

    plugin->load_tmpl('blog_config_template.tmpl', $param);
}

1;