package MT::SheetAsset::Core;

use strict;
use warnings;

use MT::SheetAsset::Util;

sub load_object_types {
    return {} unless installed;
    my $reg = MT->registry('sheetasset', 'types') || {};

    my %object_types;
    TYPE: foreach my $key ( keys %$reg ) {
        my $config = $reg->{$key};
        my $package = $config->{package} or next;
        my $requires = $config->{requires} || [];

        foreach my $require ( @$requires ) {
            eval "require $require; 1;" or next TYPE;
        }

        $object_types{"asset.sheetasset_$key"}
            = $object_types{"sheetasset_$key"} = $package;
    }

    \%object_types;
}

1;