package MT::SheetAsset::L10N::ja;

use strict;
use utf8;
use base 'MT::SheetAsset::L10N::en_us';
use vars qw( %Lexicon );

%Lexicon = (
    # config.yaml
    'Supports to read spreadsheet type asset by template tags.'
        => 'テンプレートタグでスプレッドシートタイプのアイテムを読み込む機能を提供します。',

    'Dropbox Public Shared File' => 'Dropbox全体共有ファイル',
    'Select a file and share it and copy the URL.'
        => 'ファイルの共有を開き、URLをコピーします。',
    'Copy.com Public Link' => 'Copy.com Public Link',
    'Select a file and share it and click Create Public Link.'
        => 'ファイルを選択してShareを開き、Create Public Linkをクリックします。',
    'Common URL' => '任意のURL',
    'URL does not contain file extension, maybe not read correctly.'
        => '拡張子の含まれないURLは正しく読み取れない場合があります。',

    'Live Grid Table' => '編集可能な表',

    # Excel.pm
    'Undefined Excel file type whose extension "[_1]".'
        => '拡張子"[_1]"のExcelファイルタイプは定義されていません。',
    'Excel file type "[_1]" requires modules: [_2].'
        => 'Excelファイルタイプ"[_1]"は次のモジュールを必要とします: [_2]',
    'Cannot find workbook handler.' => 'ワークブックハンドラが見つかりません。',

    # CSV.pm
    'CSV File' => 'CSVファイル',
    'CSV Files' => 'CSVファイル',
    'Failure to create Text::CSV::Encoded object.' => 'Text::CSV::Encodedオブジェクトの作成に失敗しました。',
    'Failure to open file "[_1]".' => 'ファイル"[_1]"のオープンに失敗しました。',

    # Excel.pm
    'Excel File' => 'エクセルファイル',
    'Excel Files' => 'エクセルファイル',
    'Modules Error' => 'モジュールエラー',

    # MT/SheetAsset/CMS.pm
    'No blog context.' => 'ブログのコンテキストではありません。',
    'No asset id.' => 'アイテムIDがありません。',
    'No asset context.' => 'アイテムのコンテキストがありません。',
    'Not a sheet asset.' => 'スプレッドシートのファイルではないか、非対応の形式です。',
    'No worksheet context.' => '読み込み可能なワークシートがありません。',
    'Preview' => 'プレビュー',
    'URL is not supported.' => 'サポートされていないURLです。',

    # Tags.pm
    'mt:[_1] requires [_2] modifier.' => 'mt:[_1] には [_2] モディファイアが必要です。',
    'No worksheet named "[_1]" in workbook "[_2]".' => 'ワークブック"[_2]"に"[_1]"という名称のワークシートはありません。',
    'No worksheet indexed [_1] in workbook "[_2]".' => 'ワークブック"[_2]"に[_1]番目のワークシートはありません。',
    'No current worksheet in "[_1]".' => 'ワークブック"[_1]"にアクティブなワークシートがありません。',

    'No SheetAsset workbook context.' => 'SheetAssetのワークブックコンテキストがありません。',
    'No SheetAsset row context.' => 'SheetAssetの行コンテキストがありません。',
    'No SheetAsset record context.' => 'SheetAssetのレコードコンテキストがありません。',
    'No SheetAsset loop context.' => 'SheetAssetのループコンテキストがありません。',

    'File [_1] is not readable.' => 'ファイル"[_1]"は読み込み可能ではありません。',
    'File [_1] is not a spreadsheet.' => 'ファイル"[_1]"はスプレッドシート型のファイルではありません。',

    # MT/SheetAsset/Type/Base.pm
    'File "[_1]" is not readable.' => 'ファイル"[_1]"は読み込み不可です。',
    'Unknown file type.' => '不明なファイルタイプです。',
    'URL [_1] not points SheetAsset file.' => 'URL"[_1]"はSheetAssetでサポートされたスプレッドシートファイルを指していないようです。',

    # preview_js_include.tmpl
    'An error occured. See JavaScript console log.' => 'エラーが発生しました。JavaScriptコンソールログを確認してください。',
    'Cannot parse JSON.' => 'JSONデータとして解析できません。',
    'Unknown data type.' => '不明なデータタイプです。',

    # preview_table.tmpl
    'Filtering' => 'フィルタ',
    'File: ' => 'ファイル:',
    'Worksheets: Up to ' => 'ワークシート: 最大',
    'Rows: Up to ' => '行: 最大',
    'Columns: Up to ' => '列: 最大',

    # Internal.pm
    'SheetAsset Internal JSON File' => 'SheetAsset内部用JSONファイル',
    'SheetAsset Internal JSON Files' => 'SheetAsset内部用JSONファイル',

    # URL/Base.pm
    '"[_1]" is not wraitable directory.' => '"[_1]"は書き込み可能なディレクトリではありません。',
    'Frilure to download url "[_1]".' => '"[_1]"のダウンロードに失敗しました。',
    'Failure to save [_1] bytes content to "[_2]".' => '"[_2]"への[_1]バイトのコンテンツ書き込みに失敗しました。',

    # customfield_url.tmpl
    'ex' => '例',

    # MT/SheetAsset/Config.pm
    'System scope options.' => 'システム全体のオプション',
    'Blog scope options.' => 'ブログ単位のオプション',
    'Customfield options.' => 'カスタムフィールド単位のオプション',
    '(This options)' => '(このオプション)',

    # config_template
    'Live Grid Table Settings' => '編集可能な表の設定',
    'Live Grid using: ' => '編集可能な表は次のライブラリを使用しています: ',
    'Handsontable.' => 'Handsontable',
    'You can customize a Live Grid Table with Handsontable options with JSON.'
        => 'HandsontableのオプションをJSONで記述することで、表示や動作を細かくカスタマイズすることができます。',
    'Options JSON' => 'オプションJSON',
    'Live Grid Table merges these options.' => '実際には次のオプションがマージされて適用されます。',
    'Correct JSON syntax.' => '正しいJSONの構文です。',
    'Blank this field.' => 'この項目は空欄にする',

    # DataAPI.pm
    'The asset is not a sheetasset.' => 'アイテムは表計算ファイルではありません。',
    'The worksheet is not found.' => 'ワークシートが存在しません。',
);

1;
