package MT::SheetAsset::Type::Internal;

use strict;
use warnings;

use base qw( MT::SheetAsset::Type::Base MT::Asset );
use MT::Util;
use MT::Blog;
use MT::Website;

use MT::SheetAsset::Util;

__PACKAGE__->install_properties(
    { class_type => 'sheetasset.internal', child_of => [ 'MT::Blog', 'MT::Website' ], } );

# List of supported file extensions (to aid the stock 'can_handle' method.)
sub extensions {
    my $pkg = shift;
    return $pkg->SUPER::extensions(
        [ qr/sheetasset/i ]
    );
}

sub class_label {
    plugin->translate('SheetAsset Internal JSON File');
}

sub class_label_plural {
    plugin->translate('SheetAsset Internal JSON Files');
}

sub sheetasset_workbook {
    my $self = shift;
    my $opts = shift || {};

    my $path = $self->readable_path or return;

    my $package = ref $self;
    my $wb = $package->deserialize_workbook_json_file($path);
    $wb->filepath($path);

    $wb;
}

1;