package MT::SheetAsset::URLHandler::DropboxShared;

use strict;
use warnings;
use base qw( MT::SheetAsset::URLHandler::Base );

sub match {
    my $self = shift;
    my ( $ctx ) = @_;

    $ctx->{url} =~ m!//www\.dropbox\.com/s/!i;
}

sub pre_download {
    my $self = shift;
    my ( $ctx ) = @_;
    my $url = $ctx->{url};

    # Set filename
    if ( $url =~ m!\/([^/]+?)(\?|$)! ) {
        $ctx->{filename} ||= $1 if $1;
    }

    # Modify dl param to download
    $url =~ s/\?dl=0/\?dl=1/;

    $ctx->{url} = $url;

    1;
}

1;