package MT::SheetAsset::Util;

use strict;
use warnings;
use base qw(Exporter);

use Data::Dumper;

our @EXPORT = qw(plugin pp plugin_config new_worksheet workbook_window_param installed url_handler);

sub plugin { MT->component('SheetAsset') }

sub pp { print STDERR Dumper(@_); }

sub plugin_config {
    my ( $blog_id, $param ) = @_;
    my $scope = $blog_id ? "blog:$blog_id" : "system";

    my %config;
    plugin->load_config(\%config, $scope);

    my $saving = 0;
    if ( ref $param eq 'HASH' ) {
        foreach my $k ( %$param ) {
            $config{$k} = $param->{$k};
        }
        $saving = 1;
    } elsif ( ref $param eq 'CODE' ) {
        $saving = $param->(\%config);
    }

    plugin->save_config(\%config, $scope) if $saving;
    \%config;
}

sub workbook_window_param {
    my $app = MT->instance;

    {
        worksheets  => $app->config('SheetAssetPreviewWorksheets') || 5,
        rows        => $app->config('SheetAssetPreviewRows') || 10,
        columns     => $app->config('SheetAssetPreviewColumns') || 10,
    };
}

sub url_handler {
    my ( $ctx ) = @_;
    $ctx = { url => $ctx } unless ref $ctx;

    require MT::SheetAsset::URLHandler::Base;
    MT::SheetAsset::URLHandler::Base->detect_url_handler($ctx);
}

sub installed {
    MT->registry('ideamans', 'installed', 'sheetasset');
}

1;